---
title: ReadableStreamDefaultController.error()
slug: Web/API/ReadableStreamDefaultController/error
tags:
  - API
  - Error
  - Method
  - ReadableStreamDefaultController
  - Reference
  - Streams
---
<div>{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>error()</code></strong> method of the {{domxref("ReadableStreamDefaultController")}} interface causes any future interactions with the associated stream to error.</p>

<div class="notecard note">
<p class="summary"><strong>Note</strong>: The <code>error()</code> method can be called more than once, and can be called when the stream is not readable.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>readableStreamDefaultController</em>.error(<em>e</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>e</em></dt>
 <dd>The error you want future interactions to fail with.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>TypeError</dt>
 <dd>The source object is not a <code>ReadableStreamDefaultController</code>, or the stream is not readable for some other reason.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The <a href="https://streams.spec.whatwg.org/#example-rs-push-backpressure">A readable stream with an underlying push source and backpressure support</a> example in the spec provides a good example of using {{domxref("ReadablestreamDefaultController.desiredSize")}} to manually detect when the stream is full and apply backpressure, and also of using <code>error()</code> to manually trigger a stream error if another part of the system it relies on fails.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#rs-default-controller-error","error()")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ReadableStreamDefaultController.error")}}</p>
